#!/usr/bin/perl

#
#  Example of just using Nmap::Scanner::Scanner as a front end
#  option processor.
#

use lib 'lib';

use Nmap::Scanner;

use strict;

my $scanner = new Nmap::Scanner;

$scanner->tcp_syn_scan();
$scanner->udp_scan();
$scanner->add_scan_port('21,25,80,443,3306,8080,22,79,13,11,7,10');
$scanner->ack_icmp_ping();
$scanner->guess_os();
$scanner->add_target($ARGV[0] || 
                         die "Missing host to scan!\n$0 host\n");
$scanner->max_rtt_timeout(200);
my ($pid, $in, $out, $err) = $scanner->open_nmap();

#  Now YOU decide what to do with the XML output :) here.
